2007-08-26  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties.glade: make Add label translatable,
	http://bugzilla.gnome.org/show_bug.cgi?id=470516

2007-08-14  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkblt.c: disabling "delete" button for
	number of selected layouts < 1.
	http://bugzilla.gnome.org/show_bug.cgi?id=466749

2007-07-24  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkblt.c, gnome-keyboard-properties.glade:
	eliminating up/down buttons in the layout list, making it look nicer.

2007-07-23  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkblt.c: Implementing DND in the selected
	layouts list. http://bugzilla.gnome.org/show_bug.cgi?id=351936

2007-07-11  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.h, gnome-keyboard-properties-xkbpv.c,
	gnome-keyboard-properties.glade, gnome-keyboard-properties-xkbltadd.c:
	improving the layout and sorting, thanks to Christian,
	http://bugzilla.gnome.org/show_bug.cgi?id=455353
	* gnome-keyboard-properties.glade: s/group/layout/ - because
	xkeyboard-config is going to have all UI strings as "layout".
	* gnome-keyboard-properties-xkblt.c: redraw the selected layouts
	window when "Separate layout per window" is toggled - otherwise
	"Default" radios are not repainted

2007-05-19  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkbmc.c: make things buildable with
	libxklavier 3.2
	* gnome-keyboard-properties-xkb.c,
	gnome-keyboard-properties-xkbltadd.c: XklConfigItem is a GObject, so
	it has to be properly built (not on the stack but in heap)

2007-05-17  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkbmc.c, gnome-keyboard-properties.glade:
	adding vendor list to the box (option, if there are vendors in
	base.xml)

2007-05-05  Jens Granseuer  <jensgr@gmx.net>

	* gnome-keyboard-properties.c: (create_dialog):
	* gnome-keyboard-properties.glade: set button images via code instead
	of relying on glade, so they respect the gtk-button-images xsetting

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* keyboard.desktop.in.in: renamed Bugzilla product.

2007-03-27  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.h, gnome-keyboard-properties-xkbpv.c,
	gnome-keyboard-properties.glade, gnome-keyboard-properties-xkbltadd.c:
	new version of the layout chooser, comboboxentry-based. Fully
	functional (I hope).

2007-03-21  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkblt.c, Makefile.am,
	gnome-keyboard-properties-xkbltadd.c: split the layout chooser into
	separate C file

2007-03-18  Jens Granseuer  <jensgr@gmx.net>

        Patch by: Andreas Koehler <andi5.py@gmx.net>

	* gnome-keyboard-properties.glade: use automatic instead of always
        scrollbar policy for the layout selection dialog (fixes #345884)

2007-03-18  Jens Granseuer  <jensgr@gmx.net>

	* gnome-keyboard-properties-xkblt.c:
	(xkb_layouts_prepare_selected_tree): use a radio button instead of a
	checkbox to indicate the default layout. Fixes #389469.

2007-02-23  Jens Granseuer  <jensgr@gmx.net>

	* gnome-keyboard-properties-xkblt.c: (def_group_in_gconf_changed):
	add another NULL check. Should really fix #398631.

2007-01-21  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkblt.c: the capplet should not crash if
	default group is not set in GConf (i.e. GConf part of the g-c-c
	installation failed for some reason). Closing #398631

2007-01-07  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-keyboard-properties.c: (main): Fix a typo.

2007-01-06  Lucas Rocha <lucasr.at.mundo@gmail.com>

	Fixes #336286

	* gnome-keyboard-properties.c (main): switched from popt to GOptionContext.

2006-09-15  Rodrigo Moya <rodrigo@novell.com>

	Fixes #356074

	* gnome-keyboard-properties-xkb.c (set_model_text): make sure 'model'
	is never NULL. Original patch from Brian Cameron <brian.cameron@sun.com>.

2006-08-07  Rodrigo Moya <rodrigo@novell.com>

	Fixes #348847

	* keyboard.desktop.in.in: fixed GNOME Bugzilla strings.

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* keyboard.desktop.in.in:
	don't list the Application category, list the HardwareSettings one,
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #344321)
	
2006-07-08  Sergey Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties.glade: making model choser button more
	verbose. Closing #335833

2006-07-06  Sergey Udaltsov <svu@gnome.org>

	Fixing the build process

2006-06-25  Sergey Udaltsov <svu@gnome.org>

	*.c: massive libgswitchit API change
	(following standard GNOME naming conventions)

2006-04-22  Sergey Udaltsov <svu@gnome.org>

	gnome-keyboard-properties-xkblt.c:
	Layout Preview window saves/restores geometry

2006-03-02  Sergey Udaltsov <svu@gnome.org>

	Fixes #336396

	* gnome-keyboard-properties-xkblt.c: fixed the buttons sensitivity
	change.
	
2006-01-26  Rodrigo Moya <rodrigownovell.com>

	Fixes #328748

	* gnome-keyboard-properties.c (blink_to_widget): remove space
	before punctuation.

2006-01-22  Rodrigo Moya <rodrigo@novell.com>

	Fixes #168790

	* gnome-keyboard-properties.c (accessibility_button_clicked): dont
	use "capplet" in user-visible strings.

2006-01-09  Sergey Udaltsov <svu@gnome.org>

	Fixes bug #326275
	* gnome-keyboard-properties.glade: fixing the window title 
	capitalization

2006-01-08  Sergey Udaltsov <svu@gnome.org>

	Fixes bug #326137
	* gnome-keyboard-properties.glade: making the window a bit larger

2006-01-03  Jaap A. Haitsma <jaap@haitsma.org>

	Fixes bug #321549

	* gnome-keyboard-properties.c (create_dialog): don't leak
	GtkSizeGroup's.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-keyboard-properties.c: (setup_dialog): Remove unused
	code.

2005-10-24  Muktha <muktha.narayan@wipro.com>

	Fixes part of #90932

	* gnome-keyboard-properties.glade: added accessible_description to
	some widgets.

2005-07-15  Mark McLoughlin  <mark@skynet.ie>

	Re-work the way some of the XKB GConf keys are handled.
	See bug #310513

	* gnome-keyboard-properties-xkb.c:
	(set_model_text), (model_key_changed), (setup_model_entry),
	(setup_xkb_tabs): make the "model" entry not be a peditor
	to we can correctly display the XKB default if the GConf
	key is unset.
	(enable_disable_restoring): update for API change.
	(reset_to_defaults): reset to defaults by unsetting the
	GConf keys rather than setting overrideSettings to true.
	
	* gnome-keyboard-properties-xkblt.c:
	(xkb_layouts_get_selected_list): if the "layouts" key is unset,
	use the layouts list from the XKB defaults.
	
	* gnome-keyboard-properties-xkbot.c:
	(xkb_options_get_selected_list): ditto for the "options" key.
	
	* gnome-keyboard-properties-xkb.h: include gswitchit_config.h,
	declare xkb_options_load_options to avoid warnings, make
	xkb_(layouts|options)_get_selected_list() functions instead
	of macros.

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* gnome-keyboard-properties-xkbot.c: (xkb_options_add_group):
	fix the build with gcc-2.95, patch from Jens Granseuer <jensgr@gmx.net>
	(Closes: #170159).

2005-04-10  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkbpv.c: improving the preview layout

2005-02-08  Sebastien Bacher  <seb128@debian.org>

	* gnome-keyboard-properties-xkb.c: (setup_xkb_tabs):
	* gnome-keyboard-properties-xkblt.c: (def_group_in_gconf_changed):
	patch by Kjartan Maraas <kmaraas@gnome.org>, some code cleanups 
	(Closes: #166267).

2005-01-19  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.c,
	gnome-keyboard-properties-xkbot.c
	gnome-keyboard-properties.glade: big change in the layout options UI.
	Fixing #164090

2005-01-16  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties.glade: fixed #159685

2005-01-15  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkbmc.c: fixing long-outstanding bug
	with the current model selection.

2005-01-08  Sebastien Bacher  <seb128@debian.org>

	* gnome-keyboard-properties.glade: fixed the mnemonics for some widgets
	(Closes: #163227).

2005-01-05  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-keyboard-properties.glade:  HIG corrections.  
	Use HIG capitalization for buttons: "Reset to defaults" -> 
	"Reset To Defaults".  Use HIG capitalization for window titles: 
	"Choose a keyboard model" -> "Choose A Keyboard Model" & 
	"Choose a layout" -> "Choose A Layout".  Add a missing ":" 
	from "Model" -> "Model:". Remove the dialog separators.  
	Use HIG widget padding to match the other capplet dialogs.
	
2005-01-02  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.c
	gnome-keyboard-properties-xkb.h
	gnome-keyboard-properties-xkblt.c
	gnome-keyboard-properties-xkbmc.c
	gnome-keyboard-properties-xkbpv.c: a bit of the code cleanup

2005-01-02  Sebastien Bacher  <seb128@debian.org>

	* gnome-keyboard-properties.glade:
	patch from Heikki Paajanen <hepaajan@iki.fi> (based on the patch
	from Andrew Johnson <acjgenius@earthlink.net>) 
	to not set "close" as the default button (Closes: #98202).

2004-12-31  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.h,
	gnome-keyboard-properties-xkblt.c
	gnome-keyboard-properties-xkbpv.c: preview reimplemented! Hurray!

2004-12-23  Sergey V. Udaltsov <svu@gnome.org>

	* use_cases.txt: just some memo (mostly for myself) regarding the 
	use cases for the tests.

2004-12-20  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.c,
	gnome-keyboard-properties-xkb.h,
	gnome-keyboard-properties-xkblt.c,
	gnome-keyboard-properties-xkbmc.c,
	gnome-keyboard-properties-xkbot.c,
	gnome-keyboard-properties.c,
	gnome-keyboard-properties.glade: massive layout change. Layout chooser 
	popup introduced

2004-12-13  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.c,
	gnome-keyboard-properties-xkb.h,
	gnome-keyboard-properties-xkblt.c,
	gnome-keyboard-properties-xkbmc.c,
	gnome-keyboard-properties-xkbot.c: reflect massive changes in 
	libgswitchit

2004-12-09  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkblt.c: using of the XklGetMaxNumGroups

2004-11-29  Sergey V. Udaltsov <svu@gnome.org>

	* gnome-keyboard-properties-xkb.c: preview only makes sense for XKB backend

2004-11-25  Sergey V. Udaltsov <svu@gnome.org>

	* libxklavier 1.12 compatibility

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications.
	
	* keyboard.desktop.in: add OnlyShowIn=GNOME;

2004-10-21  Sebastien Bacher  <seb128@debian.org>

	* gnome-keyboard-properties.glade:
	patch by Ross Burton <ross@burtonini.com> to fix the widget expansion
	(Closes: #151588).

2004-10-15  Sergey V. Udaltsov <svu@gnome.org>

	* The preview is now dialog instead of window. More consistent
	behaviour. Fixing #154358

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-09-01  Sergey V. Udaltsov <svu@gnome.org>

	* The default switchcut (Alt*2) is introduced

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-keyboard-properties.c: (main):
	Use themed icon for WM hint.

2004-07-28  Richard Hult  <richard@imendio.com>

	* gnome-keyboard-properties.c (main): Switch to the right page for
	typing monitor preferences.

2004-07-27  Sergey V. Udaltsov <svu@gnome.org>

	* The preview is separated to another window. 
	Looks nicer IMHO - but it depends on POV.

2004-07-26  Sergey V. Udaltsov <svu@gnome.org>

	* Now models are handled using the popup window. 
	Looks a bit more polished.

2004-07-22  Christian Neumair  <chris@gnome-de.org>

	* gnome-keyboard-properties.glade: Use GTK_SHADOW_IN shadow for
	all treeviews (consistency). Fixes #144050.

2004-07-14  Sergey V. Udaltsov <svu@gnome.org>

	* Merged the preview tab branch.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-keyboard-properties.c: (dialog_response): Update help link
	to point to user-guide.xml

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-01-11  Richard Hult  <richard@imendio.com>

	* gnome-keyboard-properties.glade:
	* gnome-keyboard-properties.c (setup_dialog): Enable markup for
	the break enabled toggle with code instead of with a custom child
	for the toggle since that doesn't work with new libglade. Fixes
	bug #131122.

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

Mon Aug 11 11:50:36 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keyboard-properties.glade: Patch from Elijah Newren
	<newren@math.utah.edu> to bring the possible repeat range in sync
	with the a11y capplet.

	* gnome-keyboard-properties.c: Patch from Elijah Newren to deal
	with the change in the peditor code.

Fri Aug  1 15:04:39 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keyboard-properties.glade: Patch from Dennis Cranston
	<dennis_cranston@yahoo.com> to add two more pixels of spacing
	between action area and vbox of prefrences dialog.

Thu Jul 31 17:42:13 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keyboard-properties.c (main): Add typing-break properties,
	#118323

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-keyboard-properties.glade, 
	  gnome-keyboard-properties.c:  Fixes for ui-review
	  bug report #99531 and fixes for duplicate mnemonics.
 
2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-27  Richard Hult  <richard@imendio.com>

	* gnome-keyboard-properties.c (setup_dialog): Use the right gconf
	key for allow_postpone preference.

	* gnome-keyboard-properties.glade: Remove warn time preference,
	it's not used in the code.

Thu Jun 26 16:31:41 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keyboard-properties.c (setup_dialog): use the correct
	schemas.

Thu Jun 26 07:39:34 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keyboard-properties.c: added the typing break (drwright)
	preferences

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-04-30  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.glade : make the repeat bounds more
	  reasonable.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-14  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.c (accessibility_button_clicked) : fix
          minor typo that disables the error dialog in the event of failure.

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-12-10  Rajkumar Sivasamy <rajkumar.siva@wipro.com>

	* gnome-keyboard-properties.glade: Set the visibility and focus 
	  of Custom radio button in Sound note book page to false.
	  Fixes bug 99793

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* keyboard.desktop.in: Fix the desktop file so that it validates.

2002-08-15  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.glade : fix label and make consistent with
	  mouse capplet.
	* gnome-keyboard-properties.c (create_dialog) : use size groups.

2002-08-08  Seth Nickell  <snickell@stanford.edu>

	* gnome-keyboard-properties.glade:

	Set border widths nicely so things align.

2002-08-01  Federico Mena Quintero  <federico@ximian.com>

	* gnome-keyboard-properties.glade: Made the file entry modal.

2002-07-16  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.c (setup_dialog) : use the gconf_value_int_to_float
	  convenience routines directly and convert the repeat speed and delay
	  to use sliders.

	* gnome-keyboard-properties.c (accessibility_button_clicked) : produce
	  a better warning for failure to launch the keyboard accessibility
	  capplet.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-06-10  jacob berkman  <jacob@ximian.com>

	* gnome-keyboard-properties.glade: hide the keyclick slider.

	fixes #78015

	reviewed/approved by jrb, luis, jody

2002-05-28  Satyajit Kanungo <satyajit.kanungo@wipro.com>

        * gnome-keyboard-properties.c : Changed the help file link
          to get the help document from user-guide.


Sun May 26 11:30:25 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keyboard-properties.c (main): use APPID instead of argv[0]

2002-05-16  jacob berkman  <jacob@ximian.com>

	* gnome-keyboard-properties.c (get_legacy_settings): don't copy
	the volume, this setting is gone
	(main): dont' show_all() the dialog

	* gnome-keyboard-properties.glade: hide the "other" option button

	fixes for #78016

2002-05-16  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.glade : some minor tweakage.

Mon May 13 17:32:25 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keyboard-properties.c (delay_to_widget): hook up widget
	correctly.

2002-05-09  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.c (dialog_response) : support help.
	* gnome-keyboard-properties.glade : add help.

2002-05-09  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.glade : long forgotten atk patch from Dave.
	  Sorry.

2002-04-22  Rachel Hestilow  <hestilow@ximian.com>

	* gnome-keyboard-properties.glade: Restore missing OptionMenu
	labels.
	
Thu Apr 18 13:59:12 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-keyboard-properties.glade: cleanups.

	* gnome-keyboard-properties.c: remove accessibility pane and add a
	button.

Wed Apr 10 18:06:25 2002  Jonathan Blandford  <jrb@gnome.org>

	* keyboard.desktop.in (Exec): s/gnome2/gnome

2002-03-29  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.glade : click_volume range is 0..100

2002-03-26  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-keyboard-properties.c (bell_to_widget): Be nice on
	invalid and NULL Gconf values

2002-03-25  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.c (volume_to_widget) : new.
	(volume_from_widget) : new.
	(setup_dialog) : use them here.

2002-03-25  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.c (setup_accessibility) : Use
	  gtk_label_new_with_mnemonic and add an accel to the label.

2002-03-19  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.c (_to_widget) : fix signature.
	(*_from_widget) : fix signature.

2002-03-13  Jody Goldberg <jody@gnome.org>

	* gnome-keyboard-properties.c (setup_accessibility) : new.
	(main) : install the accessibility page.

2002-03-19  Richard Hestilow  <hestilow@ximian.com>

	* gnome-keyboard-properties.c (bell_enums): Swap around. This
	was initially reversed because of a bug in gconf-peditor.
	Ideally this code should use the new enum functions, but
	the existing stuff works so I so no immediate need to rewrite
	it.
	(*_to/from_widget): Convert to new signature.
	
2002-03-19  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-keyboard-properties.c (bell_to_widget): Check that
	value actually is string - that fixes crash with broken schemas

2002-03-10  Seth Nickell  <snickell@stanford.edu>

	* gnome-keyboard-properties.c: (main):

	Activate the settings daemon if its not already running.

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-keyboard-properties.c: s/PACKAGE/GETTEXT_PACKAGE/g
	
2002-02-10  Richard Hestilow  <hestilow@ximian.com>

	* Make dialog Apply/Close.

Fri Feb  8 23:53:10 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-keyboard-properties.c (dialog_response): hook up buttons.

2002-01-19  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:

	Install icon into the standard pixmaps directory
	so that Panel & Nautilus will pick up on it.

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (bin_PROGRAMS): Rename binary
	gnome2-keyboard-properties

Tue Jan  8 15:49:15 2002  Jonathan Blandford  <jrb@redhat.com>

	* .cvsignore: update
	* Makefile.am: Add gnome-keyboard-properties.c
	* gnome-keyboard-properties.c: New, much nicer capplet.
	* gnome-keyboard-properties.glade: glade file for above.
	* keyboard-bell.png:
	* keyboard-cursor.png:
	* keyboard-repeat.png:
	* keyboard-volume.png: Images for above.  Note,
	keyboard-cursor.png is my pathetic attempt at artwork, and will
	prolly change in the future.

2001-12-20  Seth Nickell  <snickell@stanford.edu>

	* keyboard.desktop.in:

	Add Categories field so it shows up correctly in the
	panel menus.

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* keyboard-properties.c (dialog_button_clicked_cb): Update
	(main): Use a GtkDialog rather than a GnomeDialog; don't place a
	weak ref on gtk_main_quit

	* Makefile.am: Update

	* keyboard.desktop.in.in (Exec): Update

2001-12-19  Bradford Hovinen  <hovinen@ximian.com>

	* keyboard-properties.c (apply_settings): Comment out; pending
	removal to gnome-settings-daemon
	(setup_dialog): Set conversion functions
	(rate_to_widget, rate_from_widget, delay_to_widget) 
	(delay_from_widget): Implement

2001-12-18  Bradford Hovinen  <hovinen@ximian.com>

	* keyboard-properties.c: Port to GConf/GNOME 2.0. Many changes.
	(setup_dialog): Use correct widget name
	(create_dialog): Use gtk_image_ functions for the volume icon
	(get_int_from_changeset): Use return value of
	gconf_change_set_check_value to determine if the key is in the set
	(get_legacy_settings): Enable

2001-10-12  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Make OAF file creation generic

2001-09-28  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove support for disabling bonobo-conf build

	* Makefile.am: Change the binary name to
	keyboard-properties-control and create a wrapper script from
	../common/wrapper-script.in to be named keyboard-properties

2001-08-09  Bradford Hovinen  <hovinen@ximian.com>

	* keyboard-properties.xml: Fixed default delay setting

2001-07-31  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): add DISTDIR to install-data-local

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.2

2001-07-26  Joakim Ziegler  <joakim@ximian.com>

  * keyboard-properties.glade: Changed the label of the delay slider to be
  more intuitive.

2001-07-26  Bradford Hovinen  <hovinen@ximian.com>

	* keyboard-properties.c (apply_settings): Initialize the other
	fields of this data structure
	(apply_settings): Use lookup table to get the values to put in
	kbdsettings
	(apply_settings): Tweak the numbers a bit

	* Makefile.am (bonobo_sources): Remove bonobo-property-editor-range.[ch]

2001-07-25  Chema Celorio  <chema@celorio.com>

	* Makefile.am: remove the OAF_FILE_IN_RULE and copy it here
	(bonobo_sources): add bonobo-properties-editor-range.[ch]

	* Makefile.am: remove the DESKTOP_IN_RULE and copy the sed here

2001-07-24  Richard Hestilow  <hestilow@ximian.com>
	
	* main.c (main): Pass in legacy files to capplet_init.

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove SUBDIRS
	Remove extraneous EXTRA_DIST
	(EXTRA_DIST): Make sure to include defaults and OAF files

	* keyboard.desktop.in.in (Exec): Update for bonoboization

	* Bonobo_Control_Capplet_keyboard_properties.oaf: Update to
	correct binary name

	* main.c (create_dialog): Use GNOMECC_GLADE_DIR rather than
	GLADE_DATADIR

2001-07-18  Richard Hestilow  <hestilow@ximian.com>

	* main.c (create_dialog): Revert to old prototype.
	(setup_dialog): Moved signal_connect on demo button to here.

2001-07-18  Richard Hestilow  <hestilow@ximian.com>

	* Rewritten to use bonobo-conf.

2001-07-18  Jakub Steiner <jimmac@ximian.com>

	* keyboard-capplet.png: use the 3d version.

2001-07-17  Chema Celorio  <chema@celorio.com>

	* Makefile.am: nice and clean just as we like it

2001-07-17  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (EXTRA_DIST): Added missing icons_DATA

2001-07-17  Chema Celorio  <chema@celorio.com>

	* Makefile.am ($(desktop).in): desktop.in.in -> desktop.in ->desktop
	so that we can merge the incondir path.
	* add keyboard-capplet.png (by jimmac) an use it

2001-07-10  Kai Lahmann <kl@linuxfaqs.de>

	* keyboard-properties.desktop: Fixed wrong binary name

2001-07-05  Bradford Hovinen  <hovinen@ximian.com>

	* prefs-widget.c (set_scale): Add appropriate casts

2000-12-26  Jacob "Ulysses" Berkman  <jacob@helixcode.com>

	* keyboard-properties.glade: re-did the UI a bit

2000-10-08  Bradford Hovinen  <hovinen@helixcode.com>

	* Makefile.am (EXTRA_DIST): Add translation file

2000-09-12  Bradford Hovinen  <hovinen@helixcode.com>

	* preferences.c (preferences_clone): Added in missing code to copy
	preferences over

